/* Payment Status */
.payment-status {
  margin: 50px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0;
}

@media (max-width: 992px) {
  .payment-status {
    margin: 30px 0;
  }
}

/* Payment Btns */
.payment-status button {
  padding: 7px 15px;
  border-radius: 50px;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 5px;
  transition: all 0.5s ease;
  font-size: 14px;
  border: 1px solid var(--grey220);
  background-color: var(--secondary);
}

.payment-status button.active {
  background-color: var(--primary);
  color: var(--white);
}

.payment-status button:hover {
  color: var(--primary);
}

.payment-status button.active:hover {
  color: var(--white);
}

.payment-status button i {
  font-size: 16px;
}

@media (max-width: 687px) {
  .payment-status button {
    padding: 7px 10px;
    gap: 3px;
    font-size: 12px;
  }

  .payment-status button i {
    font-size: 14px;
  }
}

/* Payment Borders */
.payment-status .border {
  width: 50px;
  height: 2px;
  background-color: var(--primary);
}

@media (max-width: 687px) {
  .payment-status .border {
    width: 40px;
  }
}

/* Cart Layout */
.cart-layout {
  margin: 0 0 50px;
  display: grid;
  grid-template-columns: 1fr 300px;
  gap: 30px;
}

@media (max-width: 992px) {
  .cart-layout {
    grid-template-columns: repeat(1, 100%);
    gap: 30px;
  }
}

/* Right Part */
.cart-layout .right-part {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Pay Method Layout */
.pay-method-layout {
  background-color: var(--secondary);
  padding: 20px;
  border-radius: 8px;
  border: 1px solid rgb(220, 220, 220);
  display: flex;
  flex-direction: column;
  gap: 15px;
}

/* Title */
.pay-method-layout > p:nth-child(1) {
  font-weight: bold;
  color: var(--primary);
}

/* Card */
.pay-method-layout .card {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
  background-color: var(--white);
  padding: 20px;
  border-radius: 8px;
}

.pay-method-layout .card div {
  display: flex;
  gap: 5px;
  align-items: center;
}

/* Discount Code Layout */
.discount-code-layout {
  display: flex;
  flex-direction: column;
  gap: 20px;
  border-radius: 8px;
  border: 1px solid rgb(220, 220, 220);
  background-color: var(--secondary);
  padding: 20px;
}

.discount-code-layout p {
  color: var(--primary);
  font-weight: bold;
}

.discount-code-layout div {
  display: grid;
  grid-template-columns: 1fr auto;
  justify-content: space-between;
  align-items: center;
  border-radius: 50px;
  overflow: hidden;
  background-color: var(--white);
  height: 40px;
  border: 1px solid rgb(220, 220, 220);
}

.discount-code-layout div input {
  height: 100%;
  outline: none;
  font-size: 14px;
  padding: 0 20px;
}

.discount-code-layout div button {
  height: 100%;
  background-color: var(--primary);
  color: var(--white);
  border-radius: 50px;
  padding: 0 25px;
  cursor: pointer;
  transition: all 0.5s ease;
  border: 1px solid var(--grey220);
}

.discount-code-layout div button:hover {
  background-color: var(--secondary);
  color: var(--primary);
}

/* Order Detail Layout */
.order-detail-layout {
  padding: 20px;
  background-color: var(--secondary);
  border: 1px solid rgb(220, 220, 220);
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.order-detail-layout > p:nth-child(1) {
  font-weight: bold;
  color: var(--primary);
}

.order-detail-layout > div {
  display: grid;
  font-size: 14px;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 20px;
  border-radius: 8px;
  background-color: var(--white);
}

.order-detail-layout > div i {
  font-size: 18px;
}

@media (max-width: 687px) {
  .order-detail-layout > div {
    grid-template-columns: repeat(1, 100%);
    gap: 10px;
  }
}

/* Left Part */
.cart-layout > .left-part {
  position: sticky;
  top: 30px;
  padding: 20px;
  background-color: var(--secondary);
  height: fit-content;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 25px;
  border: 1px solid rgb(220, 220, 220);
  max-width: 450px;
  width: 100%;
}

.cart-layout .left-part .price-part {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
}

.cart-layout .left-part button {
  background-color: var(--primary);
  border: 1px solid var(--grey220);
  color: var(--white);
  padding: 7px 0;
  border-radius: 4px;
  transition: all 0.5s ease;
  cursor: pointer;
}

.cart-layout .left-part hr {
  width: 100%;
  border: 1px solid rgb(220, 220, 220);
}

.cart-layout .left-part button:hover {
  background-color: var(--white);
  color: var(--primary);
}

.cart-layout .left-part .score {
  text-align: center;
  font-size: 14px;
  color: var(--primary);
}

@media (max-width: 992px) {
  .cart-layout > .left-part {
    position: static;
    margin: auto;
  }
}
